* make cowdancer LFS

* qemubuilder to gracefully exit qemu
- not get killed on usual case
- sending return code via control file
- not overriding serial output to be handled via qemubuilder, but directly interacting with user

* initrd support
- klibc is a win, but file size with glibc is <1MB, which doesn't look too bad.
  Do I need to work with nonfunctional and incomplete implementation of libc ?
  -rwxr-xr-x 1 dancer dancer 659557 2009-04-12 15:31 qemuinit-static
  -rwxr-xr-x 1 dancer dancer  20504 2009-04-12 15:31 qemuinit-static-klibc
- add some daemon to monitor inside of chroot via some HTTP request?

* biarch support ?

* fix segv in parameter parsing

	sudo cowbuilder -M aaa bbb cccc

* signal handling; do I support ctrl-C reasonably? (no)

* hardlink behavior.

If I had a hardlinked file, I would expect both files to be updated 
at the same time. Currently, it will only update one of the files.

mkdir 1
touch 1/a
ln 1/a 1/b
cp -al 1 2
cowdancer

echo test > 2/b

will result in 2/b being different to 2/a.

This has implications, and I think this should be documented.

* Investigate fchmod/fchown
It is partially implemented, but difficult to really do.
open(, RDONLY) and fchmod/fchown is hard to do, because we're handling
inodes at that timing.

flock has similar problems.
